Skip to main content
POST
/
entities
/
site
/
{site_id}
/
offboard-site-and-assets
Offboard Site And Assets
curl --request POST \
  --url https://api-sandbox.axle.energy/entities/site/{site_id}/offboard-site-and-assets \
  --header 'Authorization: Bearer <token>'
{
  "site": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "mpan": "<string>",
    "postcode": "<string>",
    "address": "<string>",
    "asset_ids": [],
    "markets": [
      "cm"
    ],
    "dispatch_methods": [
      "cm_infrequent_dispatch"
    ],
    "tariff": {
      "tariff_type": "single_rate",
      "tariff_cheap_start_time": "<string>",
      "tariff_cheap_end_time": "<string>"
    },
    "gave_boundary_meter_consent_at": "2023-11-07T05:31:56Z"
  },
  "asset": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "external_id": "<string>",
    "type": "boundary meter",
    "site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "properties": {
      "power_kw": 1,
      "capacity_kwh": 1
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.axle.energy/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

site_id
string<uuid>
required

Response

Successfully offboarded site and asset

Response model for onboarding operation.

site
Site · object
required

Created site details

asset
Asset · object
required

Created asset details